summaryrefslogtreecommitdiff
path: root/eclass
diff options
context:
space:
mode:
Diffstat (limited to 'eclass')
-rw-r--r--eclass/kernel-install.eclass5
1 files changed, 4 insertions, 1 deletions
diff --git a/eclass/kernel-install.eclass b/eclass/kernel-install.eclass
index c5f218a46b91..29abb9b419e6 100644
--- a/eclass/kernel-install.eclass
+++ b/eclass/kernel-install.eclass
@@ -650,7 +650,10 @@ kernel-install_extract_from_uki() {
local uki=${2}
local out=${3}
- $(tc-getOBJCOPY) "${uki}" --dump-section ".${extract_type}=${out}" ||
+ # objcopy overwrites input if there is no output, dump the output in T.
+ # We unfortunately cannot use /dev/null here
+ $(tc-getOBJCOPY) "${uki}" "${T}/dump.efi" \
+ --dump-section ".${extract_type}=${out}" ||
die "Failed to extract ${extract_type}"
chmod 644 "${out}" || die
}